For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
DocsAPI Reference
Dashboard
LogoLogo
DocsAPI Reference
  • OCPPLAB Gateway API
        • POSTProxy OCPP message
        • POSTSet charger configuration
        • POSTReset authorization cache
        • POSTSend local authorization list
        • POSTClear local authorization list
        • POSTInject fault
        • POSTClear fault
        • POSTPlug connector
        • POSTUnplug connector
        • POSTUnlock connector
        • POSTStart transaction
        • POSTStop transaction
        • POSTStart session
        • POSTStop session
        • POSTAuthorize ID tag
        • POSTEV requests energy
        • POSTEV stops energy
        • POSTPower update
OCPPLAB Gateway APICharger OperationsCommands

Proxy OCPP message

||View as Markdown|
POST
https://host.com/ocpp/commands/proxy-message
POST
/ocpp/commands/proxy-message
1import requests
2
3url = "https://host.com/ocpp/commands/proxy-message"
4
5payload = {
6 "target": { "charger_id": "dep-123" },
7 "event": {
8 "action": "boot_notification",
9 "ocpp_version": "ocpp1.6",
10 "payload": {
11 "charge_point_vendor": "OCPPLAB",
12 "charge_point_model": "SDK-DC-50"
13 }
14 }
15}
16headers = {
17 "Authorization": "Bearer <token>",
18 "Content-Type": "application/json"
19}
20
21response = requests.post(url, json=payload, headers=headers)
22
23print(response.json())
1{
2 "id": "a1b2c3d4e5f6",
3 "event_type": "boot_notification",
4 "ocpp_version": "ocpp1.6",
5 "payload": {
6 "charge_point_vendor": "OCPPLAB",
7 "charge_point_model": "SDK-DC-50"
8 }
9}

Send one outgoing charge-point message from the selected charger to the CSMS. Choose one snake_case action, the ocpp_version, and the action payload in the request body.

Was this page helpful?
Previous

List charger logs

Next

Set charger configuration

Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
targetobjectRequired

Single-charger target for command endpoints that do not support locations.

eventobjectRequired

Command payload for proxy-message.

Response

Proxy message accepted for processing
idstring
event_typestring
ocpp_versionstring
payloadmap from strings to any
Command payload sent to the simulator queue.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
500
Internal Server Error